Name: icingadb-redis
Version: 7.2.6+0.gae6a2aa95
Release: 1731680876.fc41
Summary: Redis database for Icinga DB
Group: Productivity/Databases/Daemons
License: BSD-3-Clause
URL: https://icinga.com
Source0: icingadb-redis-7.2.6+0.gae6a2aa95.tgz
Source1: icingadb-redis-rpm.tgz

BuildRequires: gcc
BuildRequires: make
BuildRequires: openssl-devel
BuildRequires: sed
BuildRequires: systemd-devel
BuildRequires: systemd-rpm-macros
BuildRequires: tcl
BuildRequires: which

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This provides a dedicated Redis server for Icinga DB.

%define debug_package %{nil}

%prep
%autosetup
cd '/%_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build'
cd 'icingadb-redis-7.2.6+0.gae6a2aa95'
/usr/lib/rpm/rpmuncompress -x -v '%_topdir/SOURCES/icingadb-redis-rpm.tgz'
STATUS=$?
if [ $STATUS -ne 0 ]; then
exit $STATUS
fi
/usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .

patch -sp1 < redis.conf.patch

%build
sed -i 's@/usr/libexec@/usr/libexec@g' icingadb-redis-cli-6380.sh
make BUILD_TLS=yes USE_SYSTEMD=yes

%check
./runtest --tags unit

%install
install -dm 0750 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/var/lib/icingadb-redis
install -dm 0750 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/etc/icingadb-redis
install -pm 0640 redis.conf %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/etc/icingadb-redis/icingadb-redis.conf
install -dm 0755 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/share/icingadb-redis
install -pm 0644 icingadb-redis-systemd.conf %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/share/icingadb-redis/icingadb-redis-systemd.conf
install -Dpm 0644 icingadb-redis.service %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/lib/systemd/system/icingadb-redis.service
install -dm 0755 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/bin
install -pm 0755 src/redis-server %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/bin/icingadb-redis-server
install -dm 0755 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/libexec
install -dm 0755 %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/libexec/icingadb-redis
install -pm 0755 src/redis-cli %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/libexec/icingadb-redis/redis-cli
install -pm 0755 icingadb-redis-cli-6380.sh %_topdir/BUILD/icingadb-redis-7.2.6+0.gae6a2aa95-build/BUILDROOT/usr/bin/icingadb-redis-cli

%pre
getent passwd icingadb-redis >/dev/null || useradd -rU -d /var/lib/icingadb-redis -s /sbin/nologin icingadb-redis

%post

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icingadb-redis.service || :
fi

%preun

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icingadb-redis.service || :
fi

%postun

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icingadb-redis.service || :
fi

%files
%dir /usr/share/icingadb-redis
/usr/share/icingadb-redis/icingadb-redis-systemd.conf
/usr/lib/systemd/system/icingadb-redis.service
%dir /usr/libexec/icingadb-redis
/usr/libexec/icingadb-redis/redis-cli
/usr/bin/icingadb-redis-server
/usr/bin/icingadb-redis-cli

%attr(-, icingadb-redis, root) %dir /etc/icingadb-redis
%attr(-, icingadb-redis, root) %config(noreplace) /etc/icingadb-redis/icingadb-redis.conf
%attr(-, icingadb-redis, root) %dir /var/lib/icingadb-redis

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 7.2.6+0.gae6a2aa95-1731680876.fc41
- Version 7.2.6+0.gae6a2aa95-1731680876

